Exchange credentials for a JWT
curl --request POST \
--url https://staging-idaas.yourflexpay.com/api/v1/auth/tokenimport requests
url = "https://staging-idaas.yourflexpay.com/api/v1/auth/token"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://staging-idaas.yourflexpay.com/api/v1/auth/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"token": "<string>",
"expiresAt": 123,
"tag": "<string>",
"subjectId": "<string>",
"consentId": "<string>"
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"token": "<string>",
"expiresAt": 123,
"tag": "<string>",
"subjectId": "<string>",
"consentId": "<string>"
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"token": "<string>",
"expiresAt": 123,
"tag": "<string>",
"subjectId": "<string>",
"consentId": "<string>"
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}Authentication
Exchange credentials for a JWT
Issues a signed HS256 JWT access token valid for the configured TTL (default 1 hour).
Accepts either application/x-www-form-urlencoded query parameters or a JSON body
with client_id and client_secret fields.
Rate limited to 10 requests per minute per IP.
POST
/
v1
/
auth
/
token
Exchange credentials for a JWT
⌘I